# Authlib: Python Authentication

Release v1.7.2. (Installation)

The ultimate Python library in building OAuth and OpenID Connect servers and clients. It is designed from low level specifications implementations to high level frameworks integrations, to meet the needs of everyone.

Authlib is compatible with Python3.10+.

- Get Started
  - Introduction
  - Installation
  - Logging
- OAuth 2.0 & OIDC
  - Concepts
  - Client
  - Authorization Server
  - Resource Server
  - Specifications
- OAuth 1.0
  - Concepts
  - Client
  - Provider
  - Specifications
- JOSE
  - Usage
  - Guide
- Community
  - Funding
  - Support
  - Security Vulnerability
  - Contribution
  - Awesome Articles and Projects
  - Sustainable
  - Authors
  - Authlib Licenses
- Releases
  - Changelog
  - joserfc migration